%define name jchkmail
%define version 2.2.1
%define release %mkrel 5

%define Werror_cflags %nil

Summary:	A mail filtering software
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tgz
Patch0:		jchkmail-2.2.1-automake-1.13.patch
License:	GPL
Group:		System/Servers
Url:		http://www.j-chkmail.org/
BuildRequires:	libxml2-devel
BuildRequires:	libmilter-devel 
BuildRequires:	sendmail

%description
j-chkmail is a mail filtering software using sendmail milter API. j-chkmail is
compatible with UNIX based mailservers running sendmail or postfix.

The goal of j-chkmail is to be able to filter as much messages as possible, as
fast as possible and as well as possible. Originally, it's intended to be use
in large and heterogeneous communities such as university campus, but not only. 

%prep
%setup -q
%patch0 -p1 -b .automake113
# don't try action needing to be root
perl -pi -e 's:@(chown|chgrp):/bin/true:' \
    Makefile.am etc/Makefile.am \
    Makefile.in etc/Makefile.in

%build
aclocal
automake
autoreconf
%configure \
  --with-work-dir=%{_var}/lib/%{name} \
  --with-jgreyd-dir={%_var}/lib/%{name}/jgreyd \
  --with-user=%{name} \
  --with-group=%{name}

%make

%install
mkdir -p %{buildroot}%{_sysconfdir}/init.d

%makeinstall_std

%pre
%_pre_useradd %{name} %{_var}/lib/%{name} /bin/false

%postun
%_postun_userdel %{name}

%files
%config(noreplace) %{_sysconfdir}/mail/%{name}
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/init.d/*
%attr(-,jchkmail,jchkmail) %config(noreplace) %{_var}/lib/%{name}
%{_mandir}/*/*
%doc README*


%changelog

* Tue Jan 15 2013 sander85 <sander85> 2.2.1-5.mga3
+ Revision: 388381
- Fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + nanardon <nanardon>
    - fix pre/post

* Sun Jun 26 2011 nanardon <nanardon> 2.2.1-3.mga2
+ Revision: 114185
- imported package jchkmail

